## ros-melodic-teraranger-array 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
project(teraranger_array)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  roscpp
  sensor_msgs
  geometry_msgs
  std_msgs
  dynamic_reconfigure
  serial
)
find_package(Boost REQUIRED COMPONENTS system thread)

generate_dynamic_reconfigure_options(
cfg/TerarangerHubOne.cfg
cfg/TerarangerHubMultiflex.cfg
cfg/TerarangerHubEvo.cfg
)

add_message_files(
    FILES
    RangeArray.msg
)
generate_messages(
  DEPENDENCIES
  sensor_msgs
  std_msgs
)

catkin_package(
  INCLUDE_DIRS include
  #LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS roscpp sensor_msgs std_msgs message_runtime dynamic_reconfigure serial geometry_msgs
  DEPENDS Boost
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_executable(teraranger_one src/teraranger_one.cpp src/helper_lib.cpp)
target_link_libraries(teraranger_one ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(teraranger_one ${PROJECT_NAME}_generate_messages_cpp)
add_dependencies(teraranger_one ${${PROJECT_NAME}_EXPORTED_TARGETS})
add_dependencies(teraranger_one ${PROJECT_NAME}_gencfg)

add_executable(teraranger_multiflex src/teraranger_multiflex.cpp src/helper_lib.cpp)
target_link_libraries(teraranger_multiflex ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(teraranger_multiflex ${PROJECT_NAME}_generate_messages_cpp)
add_dependencies(teraranger_multiflex ${${PROJECT_NAME}_EXPORTED_TARGETS})
add_dependencies(teraranger_multiflex ${PROJECT_NAME}_gencfg)

add_executable(teraranger_evo src/teraranger_evo.cpp src/helper_lib.cpp)
target_link_libraries(teraranger_evo ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(teraranger_evo ${PROJECT_NAME}_generate_messages_cpp)
add_dependencies(teraranger_evo ${catkin_EXPORTED_TARGETS})
add_dependencies(teraranger_evo ${PROJECT_NAME}_gencfg)

install( TARGETS
  teraranger_one
  teraranger_multiflex
  teraranger_evo
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

 if(CATKIN_ENABLE_TESTING)
    add_library(${PROJECT_NAME}_LIB src/teraranger_one.cpp src/helper_lib.cpp)
    target_link_libraries(${PROJECT_NAME}_LIB ${catkin_LIBRARIES} ${Boost_LIBRARIES})
    add_dependencies(${PROJECT_NAME}_LIB ${PROJECT_NAME}_generate_messages_cpp)
    add_dependencies(${PROJECT_NAME}_LIB ${PROJECT_NAME}_gencfg)

    catkin_add_gtest(teraranger_one_test test/test_teraranger_one.cpp src/helper_lib.cpp)
    add_dependencies(teraranger_one_test ${${PROJECT_NAME}_EXPORTED_TARGETS})
    target_link_libraries(teraranger_one_test ${Boost_LIBRARIES} ${GTEST_LIBRARIES} ${PROJECT_NAME}_LIB)
endif()

=== debian/changelog ===
ros-melodic-teraranger-array (2.0.0-1stretch) stretch; urgency=high

  * Update package description
  * Merge pull request #60 <https://github.com/Terabee/teraranger_array/issues/60> from FRC900/remove_lib_from_cmake
    Removed teraranger_array library from catkin_package LIBRARIES
  * Merge remote-tracking branch 'origin/master' into remove_lib_from_cmake
  * Merge pull request #59 <https://github.com/Terabee/teraranger_array/issues/59> from FRC900/cpp_msg_header
    Move header to start of RangeArray.msg
  * Add travis config
  * Removed teraranger_array library from catkin_package LIBRARIES
    This file isn't built, so packages referencing teraranger_array
    fail when searching for the non-existent library
  * Move header to start of RangeArray.msg
    The cpp tools require the header to be the first entry in the
    message for ros::message_traits to recognize that the message
    in fact has a header.
  * Update links in Readme
  * Contributors: Kevin Jaget, Pierre-Louis Kabaradjian

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Thu, 02 May 2019 22:00:00 -0000

ros-melodic-teraranger-array (1.3.4-1stretch) stretch; urgency=high

  * Update maintainer list
  * Fix reconfigure infos
  * Make sure processAck always returns something
  * Mention dependency on serial package in readme
  * Avoid narrowing cast in switch case
  * Contributors: Morten Fyhn Amundsen, Pierre-Louis Kabaradjian

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Sun, 07 Oct 2018 22:00:00 -0000

ros-melodic-teraranger-array (1.3.3-1stretch) stretch; urgency=high

  * Update Readme for Evo 3m
  * Add Evo 3m type to the list of available Evo's
  * Contributors: BaptistePotier, Pierre-Louis Kabaradjian

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Thu, 06 Sep 2018 22:00:00 -0000

ros-melodic-teraranger-array (1.3.2-1stretch) stretch; urgency=high

  * Update Readme for Tower Evo
  * Set default rate to ASAP
  * Add 500 et 600 Hz mode
  * Add specific firing mode for TeraRanger Tower Evo
  * Contributors: Baptiste Potier, Pierre-Louis Kabaradjian

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Tue, 24 Jul 2018 22:00:00 -0000

ros-melodic-teraranger-array (1.3.1-1stretch) stretch; urgency=high

  * Change default modes
  * Re-add line removed by mistake
  * Correct typo in example launch files
  * Contributors: Pierre-Louis Kabaradjian

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Mon, 21 May 2018 22:00:00 -0000

ros-melodic-teraranger-array (1.3.0-1stretch) stretch; urgency=high

  * Add example launch files
  * Update for evo 600hz
  * Close serial port on shutdown
  * Move input flush
  * Fix/default modes
  * Make separate function for each reconfigure parameter
  * Initilalize all modes at first dynamic reconfigure call
  * Remove min and max clipping for One and Evo
  * Contributors: Pierre-Louis Kabaradjian, Baptiste Potier

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Thu, 12 Apr 2018 22:00:00 -0000

ros-melodic-teraranger-array (1.2.3-1stretch) stretch; urgency=high

  * Correct linear acceleration conversion factor to a more accurate one
  * Contributors: Pierre-Louis Kabaradjian

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-melodic-teraranger-array (1.2.2-1stretch) stretch; urgency=high

  * Reduce queue sizes to 1
  * Add separate topic for euler imu data
  * Contributors: Pierre-Louis Kabaradjian

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Wed, 06 Dec 2017 23:00:00 -0000

ros-melodic-teraranger-array (1.2.1-1stretch) stretch; urgency=high

  * Correct wrong euler factor
  * Contributors: Pierre-Louis Kabaradjian

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Tue, 05 Dec 2017 23:00:00 -0000

ros-melodic-teraranger-array (1.2.0-1stretch) stretch; urgency=high

  * Clean dynamic reconfigure .cfg files
  * Remove unsupported modes
  * Add node namespace to every log message
  * Remove old debug messages
  * Add ack check when sending commands
  * Correct rate commands
  * Set defaults modes in both dynamic reconfigure and driver init
  * Disable custom firing mode
  * Remove unnecessary rates
  * Contributors: Pierre-Louis Kabaradjian

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Mon, 04 Dec 2017 23:00:00 -0000

ros-melodic-teraranger-array (1.1.0-1stretch) stretch; urgency=high

  * Change license to MIT
  * Update link
  * Contributors: Pierre-Louis Kabaradjian, Baptiste Potier

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Thu, 16 Nov 2017 23:00:00 -0000

ros-melodic-teraranger-array (1.0.1-1stretch) stretch; urgency=high

  * Update package.xml
  * Contributors: Pierre-Louis Kabaradjian

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Tue, 19 Sep 2017 22:00:00 -0000

ros-melodic-teraranger-array (1.0.0-1stretch) stretch; urgency=high

  * Use ros-serial and remove old serial files
  * Standardize topic names
  * Use REP 117
  * Use RangeArray message, append namespace to frame_id
  * Send disable cmd when driver exits
  * Refactor trone and multiflex drivers
  * Initial commit
  * Contributors: Pierre-Louis Kabaradjian, Krzysztof Zurad, Mateusz Sadowski, Baptiste Potier

 -- Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>  Sun, 17 Sep 2017 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-teraranger-array
Section: misc
Priority: extra
Maintainer: Pierre-Louis Kabaradjian <pierre-louis.kabaradjian@terabee.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rosunit, ros-melodic-sensor-msgs, ros-melodic-serial, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/teraranger_array
Standards-Version: 3.9.2

Package: ros-melodic-teraranger-array
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-serial, ros-melodic-std-msgs
Description: This package provides ros nodes for multi-sensor arrays from Terabee

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-teraranger-array//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
